Search Support

Avoid support scams. We will never ask you to call or text a phone number or share personal information. Please report suspicious activity using the “Report Abuse” option.

Learn More

I'm running OS X v 10.5.8 on a Powerbook G4. Want to update my Firefox from v3.5.7 to newest version I can support.

more options

Mozilla tells me Firefox updates are (can be?) automatic. They don't seem to be for me. I'm getting notices all around that my browser is outdated, but Mozilla tells me I can't support the newest Firefox. What version can I update to, and where can I get it?...or...what's wrong?

Chosen solution

Firefox 3.6.23 is the last version from Mozilla.
http://www.mozilla.com/en-US/firefox/all-older.html

For older Macs that aren't supported in Firefox 4 / 5 / 6 /7, try TenFourFox for PowerPC's running Mac 10.4.11 & 10.5.8 .
http://www.floodgap.com/software/tenfourfox/

http://tenfourfox.blogspot.com/

Read this answer in context 👍 0

All Replies (2)

more options

Chosen Solution

Firefox 3.6.23 is the last version from Mozilla.
http://www.mozilla.com/en-US/firefox/all-older.html

For older Macs that aren't supported in Firefox 4 / 5 / 6 /7, try TenFourFox for PowerPC's running Mac 10.4.11 & 10.5.8 .
http://www.floodgap.com/software/tenfourfox/

http://tenfourfox.blogspot.com/

more options

Thanks. TenFourFox is a vast improvement in my browsing experience. I suppose no video playback is better than the chattering video I was mostly getting.